Bug 808233 - FEATURE REQUEST: Please add a "-y" flag to any option that prompts for confirmation.
FEATURE REQUEST: Please add a "-y" flag to any option that prompts for confir...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
2.0
All Linux
medium Severity high
: ---
: RHGS 2.0.0
Assigned To: Divya
Sudhir D
: FutureFeature
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-29 17:37 EDT by Brett Lentz
Modified: 2015-05-13 11:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:17:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brett Lentz 2012-03-29 17:37:00 EDT
Description of problem:

Stopping a volume, removing a brick, and a few other tasks prompt the user for confirmation of their actions. This makes it very difficult to automate the management of gluster volumes, especially in situations where the potential loss of data isn't a concern or is handled elsewhere.

Please add a "-y" flag to the cli tools so that a user can automatically confirm the requested action. 

The presence of this flag should bypass any prompts automatically and execute the specified action.

This flag should be added to any options that currently prompt the user for confirmation of their actions.
Comment 1 Thomas Wiest 2012-03-29 17:50:36 EDT
+1, this would be really useful.
Comment 2 Amar Tumballi 2012-03-29 23:15:47 EDT
we already have '--mode=script' for this behavior. If '-y' makes more sense than that, we can add it.
Comment 3 Brett Lentz 2012-03-30 00:13:14 EDT
I do not see any documentation of that feature in the version of Gluster that ships with RHEL6 (3.2.x).

If --mode=script is available in RHEL6, that's acceptable and this bug can be modified to just validate the documentation and man pages calls this feature out.
Comment 4 Amar Tumballi 2012-04-17 06:09:25 EDT
Divya/Anjana, we need to document the feature of utilizing '--mode=script' in scripts with gluster CLI. may be as a NOTE somewhere.
Comment 5 Divya 2012-04-25 08:45:28 EDT
I have added the following in the User Guide:

Note: If you suffix --mode=script to any command on the CLI, the specified action will be executed automatically and it will not prompt for confirmation.

The updated doc will be available online after RHS 2.0 Beta 2 release.
Comment 7 Ujjwala 2012-05-31 03:56:31 EDT
Verified on the following link and the note has been added.

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Storage/2/html/User_Guide/ch04.html

Note You need to log in before you can comment on or make changes to this bug.